# 舒克AI工具集

一个强大的AI工具箱，提供了丰富的AI相关功能，包括图像处理、视频处理等功能。

## 安装

```bash
pip install shuke-ai
```

## 使用方法

### 启动图形界面

```bash
shuke-ai --gui
```

### 查看版本

```bash
shuke-ai --version
```

### 查看帮助

```bash
shuke-ai --help
```

## 功能特点

- 图形界面操作，简单易用
- AI工具集成
- ComfyUI API集成
- MimicMotion支持
- 图像和视频处理功能

## 系统要求

- Python >= 3.8
- 操作系统：Windows/macOS/Linux

## 依赖项

- PyQt6 == 6.6.1
- requests == 2.31.0
- urllib3 == 2.2.1
- python-dotenv >= 0.19.0
- opencv-python >= 4.6.0
- pillow >= 9.0.0
- numpy >= 1.21.0

## 开发说明

如果您想参与开发，可以克隆仓库并安装开发依赖：

```bash
git clone https://github.com/yourusername/shuke-ai.git
cd shuke-ai
pip install -e .
```

## 问题反馈

如果您在使用过程中遇到任何问题，请在GitHub上提交Issue。

## 许可证

MIT License
